Skip to main content
O&M Management/Monitoring APIs/Monitoring and Alarm APIs/Alarm
GETAlarmSince 4.1.0SynchronousAuth Required

Get Alarm Alert Histogram

Get Alarm Alert Histogram

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • tableNameStringRequired

    Message type.

  • startTimeLongRequired

    Start time.

  • endTimeLongRequired

    End time.

  • intervalHoursStringRequired

    Interval hours.

  • groupColumnsList

    Group columns.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null on success. See error for details.

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      A brief description of the error.

    • detailsStringRequired

      Detailed information about the error.

    • elaborationStringRequired

      A reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      A reserved field. Default is null.

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root error.

  • histogramsListRequired

    No description provided.

Endpoint

GET/zstack/v1/zwatch/alert-histories/histogram

/zstack/v1/zwatch/alert-histories/histogram

Operation ID

GetZWatchAlertHistogram

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/alert-histories/histogram?tableName=<tableName>&startTime=1&endTime=1&intervalHours=<intervalHours>&groupColumns=<groupColumns>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "histograms": [ { "time": 1.510669257141E12, "count": 50.0, "tags": [ { "name": "emergencyLevel", "value": "Emergent" } ] } ] }

Change History

This API has no change history records yet.

View all change history